org.apache.avro.data

## Class TimeConversions.TimeMillisConversion

- java.lang.Object
- - org.apache.avro.Conversion<LocalTime>
  - - org.apache.avro.data.TimeConversions.TimeMillisConversion

Enclosing class:
  TimeConversions

    public static class TimeConversions.TimeMillisConversion
    extends Conversion<LocalTime>

### Constructor Summary

Constructors
Constructor and Description
`TimeMillisConversion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `adjustAndSetValue(String varName, String valParamName)` Certain logical types may require adjusting the code within the "setter" methods to make sure the data that is set is properly formatted.
`LocalTime` `fromInt(Integer millisFromMidnight, Schema schema, LogicalType type)`
`Class<LocalTime>` `getConvertedType()` Return the Java class representing the logical type.
`String` `getLogicalTypeName()` Return the logical type this class converts.
`Schema` `getRecommendedSchema()`
`Integer` `toInt(LocalTime time, Schema schema, LogicalType type)`

### Methods inherited from class org.apache.avro.Conversion

`fromArray, fromBoolean, fromBytes, fromCharSequence, fromDouble, fromEnumSymbol, fromFixed, fromFloat, fromLong, fromMap, fromRecord, toArray, toBoolean, toBytes, toCharSequence, toDouble, toEnumSymbol, toFixed, toFloat, toLong, toMap, toRecord`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeMillisConversion

    public TimeMillisConversion()

### Method Detail

#### getConvertedType

    public Class<LocalTime> getConvertedType()

Description copied from class: `Conversion`
Return the Java class representing the logical type.

Specified by:
  `getConvertedType` in class `Conversion<LocalTime>`
Returns:
  a Java class returned by from methods and accepted by to methods

#### getLogicalTypeName

    public String getLogicalTypeName()

Description copied from class: `Conversion`
Return the logical type this class converts.

Specified by:
  `getLogicalTypeName` in class `Conversion<LocalTime>`
Returns:
  a String logical type name

#### adjustAndSetValue

    public String adjustAndSetValue(String varName,
                                    String valParamName)

Description copied from class: `Conversion`
Certain logical types may require adjusting the code within the "setter" methods to make sure the data that is set is properly formatted. This method allows the Conversion to generate custom setter code if required.

Overrides:
  `adjustAndSetValue` in class `Conversion<LocalTime>`
Parameters:
  `varName` - the name of the variable holding the converted value
  `valParamName` - the name of the parameter with the new converted value
Returns:
  a String for the body of the setter method

#### fromInt

    public LocalTime fromInt(Integer millisFromMidnight,
                             Schema schema,
                             LogicalType type)

Overrides:
  `fromInt` in class `Conversion<LocalTime>`

#### toInt

    public Integer toInt(LocalTime time,
                         Schema schema,
                         LogicalType type)

Overrides:
  `toInt` in class `Conversion<LocalTime>`

#### getRecommendedSchema

    public Schema getRecommendedSchema()

Overrides:
  `getRecommendedSchema` in class `Conversion<LocalTime>`